Revoke a session
DELETE
/api/v1/auth/sessions/{session_id}
const url = 'https://api.ultimateteam.ai/api/v1/auth/sessions/example';const options = {method: 'DELETE', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.ultimateteam.ai/api/v1/auth/sessions/example \ --header 'X-API-Key: <X-API-Key>'Revoke a session by its id. Only the current session is ever visible via GET /sessions, so this revokes the caller’s own token when the id matches, and 404s otherwise.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”session_id
required
Session Id
string
Responses
Section titled “ Responses ”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}